tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "yhs@mimic.onesourcecorp.com" <...@mimic.onesourcecorp.com>
Subject Re: [PROPOSALS] Three Proposals for Development of Tomcat 4.0
Date Tue, 07 Jan 1997 00:01:52 GMT


On Thu, 10 Aug 2000, Glenn Nielsen wrote:

> I didn't see anything that referred to what version of the JDK would
> be targeted.  I know we went through a discussion about maintining jdk 1.1
> compatability with Tomcat 3.X.  But I would like to propose that Tomcat 4.0
> require jdk 1.2 or greater.  JDK 1.2 is available for most systems now, and
> should be available on even more systems by the time Tomcat 4.0 is released.
> Requiring JDK1.2 would allow us to take advantage of features of the 1.2 JDK
> to optimize Tomcat performance and remove the hoops Costin jumped through
> to make Tomcat 3.2 compile/run on jdk1.1 while still implementing some 1.2
> features for those using JDK 1.2.
> 
> Regards,
> 
> Glenn
> 

ugh. please please maintain JDK 1.1 compatibility for runtime at
least. compiling is ok with JDK 1.2 but JDK 1.1 is a lot more stable for
high volume traffic at runtime. ive seen suns JDK 1.2.2 lock up under high
loads...1.1 doesnt. dropping 1.1 compatibility before 1.2 becomes stable
enough for production use is IMHO a really *bad* idea. 
-Ys-
yhs@mimic.onesourcecorp.com



Mime
View raw message